WordPress.org

Ready to get started?Download WordPress

Forums

2.8 upgrade failed - crash and freeze (10 posts)

  1. SkyWriting
    Member
    Posted 5 years ago #

    I'd HIGHLY SUGGEST that the upgrade notice BE REMOVED until more bugs are worked out. PLUS it should not say PLEASE UPGRADE.

    It should say "Upgrade is currently rated at 43% success"
    or some such thing. It should also link to a forum that
    explains the DANGERS first.

    Sure it always says "backup first", but do you know how many people know how to use backup files? Personally, I've never managed a successful backup after 5 tries.

    So here is how I successfully recovered.
    I deleted all my sites hosted files except for

    -"backup"
    -wp-content folder and
    -wp-config.php

    Then I FTP'd up the new 2.8 files except for the wp-content folder.
    After that, going to the site resulted in a database upgrade button.
    Clicking that and the site was up and running.

  2. MichaelH
    Member
    Posted 5 years ago #

    What it should say is:

    "You might want to upgrade, but we cannot test every single internet connection, and we can't test every single server configuration, so please consider that before upgrading."

  3. nagoyaphoto
    Member
    Posted 5 years ago #

    Really, crashed on me both ways pretty easy. Worst upgrade ever and I've done them all. Just avoid it everyone.

    Should say, "Michael our moderator says please upgrade even if you know nothing about php or sleepless nights because duh and upgrade to our new version right away, what a night you'll have!! Super fun. I'm a responsible moderator who is all grown up and says the right things to people with criticism. Here is my home phone if you have problems....I'll be sure to say something funny like we can't test everything, hahahahahahaha"

  4. nagoyaphoto
    Member
    Posted 5 years ago #

    "You might want to upgrade, but we cannot test every single internet connection, and we can't test every single server configuration, so please consider that before upgrading."

    Pretty lame statement considering it might not be just those things, might be something in the code that was missed. Could be anything. Pretty condescending attitude to have for a moderator.

  5. Roy
    Member
    Posted 5 years ago #

    Nago, 2.8 has been downloaded over 600,000 times. How many reported problems...? If it was something in the code, there should have been 600,000 complaints, not just a handfull.
    2.8 Works well for me on the 4 upgrades that I did. The automatic upgrade does not, but that's a different subject.

  6. Ansis
    Member
    Posted 5 years ago #

    Automatic upgrade did not worked for me.
    I downloaded all files and ftp them to the server manualy.
    After /wp-admin/upgrade.php everything works OK. (except for search)

  7. Jeremiah Smith
    Member
    Posted 5 years ago #

    Can someone help me recover from my 2.8 upgrade?
    I did not backup - I only saw that part AFTER I lost all access to the Dashboard, with the following error message:

    Call to undefined function esc_url() in /homez.44/nicho/eternity/wp-admin/includes/dashboard.php on line 123

    As I cannot access the dashboard, I do not exactly know where to start.

    thanks for any advice.

  8. petedutcher
    Member
    Posted 5 years ago #

    What it should say is:

    "You might want to upgrade, but we cannot test every single internet connection, and we can't test every single server configuration, so please consider that before upgrading."

    That's crap and you know it. It has nothing to do with internet connections or server configuration...this is a totally blown build.

    For those of you who think you've had no problems, try editing a stylesheet.

    Goodbye website.

  9. petedutcher
    Member
    Posted 5 years ago #

    Nago, 2.8 has been downloaded over 600,000 times. How many reported problems...? If it was something in the code, there should have been 600,000 complaints, not just a handfull.
    2.8 Works well for me on the 4 upgrades that I did. The automatic upgrade does not, but that's a different subject.

    Your justification doesn't work either. It's entirely possible that most of those upgrades are people that do not edit files themselves...such as changing a Hex color in a style sheet.

    Try that and then come back here and say there's no problems.

  10. Roy
    Member
    Posted 5 years ago #

    No problems with editing stylesheets and the site doesn't go down. Pete, that your particular setup fails somewhere, doesn't make it a WP problem per se. Like I said, do the forums get flooded with 600,000 complainers? I haven't found anything that doesn't work in 2.8 yet.

Topic Closed

This topic has been closed to new replies.

About this Topic